### log_compare |

`

###

    #include <db.h>

    int
    log_compare(const DB_LSN *lsn0, const DB_LSN *lsn1);

### Description: log_compare

The log_compare method allows the caller to compare two DB_LSN structures, returning 0 if they are equal, 1 if lsn0 is greater than lsn1, and -1 if lsn0 is less than lsn1.

### Parameters

lsn0
  The lsn0 parameter is one of the DB_LSN structures to be compared.
lsn1
  The lsn1 parameter is one of the DB_LSN structures to be compared.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.